From phil@ipom.com Wed Jun 22 22:48:19 2005
Date: Wed, 22 Jun 2005 22:47:13 -0700
From: Phil Dibowitz <phil@ipom.com>
Subject: USB Storage: Remove unneeded SC/P
To: Alfred Ganz <alfred-ganz@agci.com>, Greg KH <greg@kroah.com>, USB Storage list <usb-storage@lists.one-eyed-alien.net>
Message-id: <42BA4CE1.7030700@ipom.com>

This patch removes an unneeded subclass and protocol from the
07af/0005/100 entry in unsual_devs.h as reported by Alfred Ganz
<alfred-ganz@agci.com>.

Signed-off-by: Phil Dibowitz <phil@ipom.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


---
 drivers/usb/storage/unusual_devs.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

--- gregkh-2.6.orig/drivers/usb/storage/unusual_devs.h	2005-06-17 12:48:29.000000000 -0700
+++ gregkh-2.6/drivers/usb/storage/unusual_devs.h	2005-06-28 13:36:03.000000000 -0700
@@ -697,7 +697,7 @@
 UNUSUAL_DEV(  0x07af, 0x0005, 0x0100, 0x0100, 
 		"Microtech",
 		"USB-SCSI-HD50",
-		US_SC_SCSI, US_PR_BULK, usb_stor_euscsi_init,
+		US_SC_DEVICE, US_PR_DEVICE, usb_stor_euscsi_init,
 		US_FL_SCM_MULT_TARG ), 
 
 #ifdef CONFIG_USB_STORAGE_DPCM
